"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const child_process_1 = require("child_process");
require("dotenv").config({ path: "./../.env" });
const sourceFile = process.argv.indexOf("--src") >= 0
    ? process.argv[process.argv.indexOf("--src") + 1]
    : null;
const destinationFile = process.argv.indexOf("--dst") >= 0
    ? process.argv[process.argv.indexOf("--dst") + 1]
    : null;
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
console.log("Running Tailwind CSS compiler ...");
fs_1.default.watch("./../", (curr, prev) => {
    (0, child_process_1.exec)(`bunx tailwindcss -i ./tailwind/main.css -o ./styles/tailwind.css`, (error, stdout, stderr) => {
        if (error) {
            console.log("ERROR =>", error.message);
            return;
        }
        console.log("Tailwind CSS Compilation \x1b[32msuccessful\x1b[0m!");
    });
});
