export type GrabEncryptionKeysParam = {
    encryptionKey?: string;
    encryptionSalt?: string;
    apiKey?: string;
    algorithm?: string;
    bufferAllocSize?: number;
};
/**
 *  # Grab Encryption Keys
 * @description Grab Required Encryption Keys
 */
export default function grabKeys(param?: GrabEncryptionKeysParam): {
    key: string | undefined;
    keyLen: number;
    salt: string | undefined;
    apiKey: string | undefined;
    algorithm: string;
    bufferAllocSize: number;
};
